## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-cmarkgfm
Version:        2024.11.20
Release:        %autorelease
Summary:        Minimal bindings to GitHub's fork of cmark

License:        MIT
URL:            https://github.com/theacodes/cmarkgfm
Source:         %{pypi_source cmarkgfm}

BuildRequires:  gcc

%description
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%package -n     python3-cmarkgfm
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description -n python3-cmarkgfm
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%prep
%autosetup -n cmarkgfm-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l cmarkgfm

%check
%pytest -v tests

%files -n python3-cmarkgfm -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 2024.11.20-3
- Rebuilt for Python 3.14

* Mon Mar 31 2025 Carl George <carlwgeorge@fedoraproject.org> - 2024.11.20-2
- Port to pyproject macros

* Tue Mar 11 2025 Romain Geissler <romain.geissler@amadeus.com> - 2024.11.20-1
- Update to version 2024.11.20 (rhbz#2327729)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2024.1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Sep 26 2024 Fabian Affolter <mail@fabian-affolter.ch> - 2024.1.14-1
- Update to latest upstream release (closes rhbz#2138043)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.8.0-9
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.8.0-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.8.0-2
- Rebuilt for Python 3.11

* Sat Mar 05 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.0-1
- Update to latest upstream release 0.8.0 (closes rhbz#2032326)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.0-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.0-4 -
  Update to latest upstream release 0.6.0 (rhbz#1911858)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.5.2-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 01 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.2-1
- * Fri Jan 01 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.2-1 -
  Update to latest upstream release 0.5.2 (#1911858)

* Mon Dec 14 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.1-1
- * Mon Dec 14 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.1-1 -
  Update to latest upstream release 0.5.1 (#1906646)

* Thu Nov 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-1
- * Thu Nov 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-1 -
  Update to latest upstream release 0.5.0 (#1900317)

* Wed Sep 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.2-1
- * Fri Jul 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.2-2 -
  Run tests (rhbz#1827045)
## END: Generated by rpmautospec
